> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get system log search count



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/team/log/count
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/log/count:
    post:
      tags:
        - Team
      summary: Get system log search count
      operationId: TeamController_searchSystemLogCount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SystemLogSearchDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchSystemLogCountResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    SystemLogSearchDto:
      type: object
      properties:
        size:
          type: number
        page:
          type: number
        filter:
          type: string
        search:
          type: string
        orderBy:
          type: string
        orderDir:
          type: string
          enum:
            - asc
            - desc
        security:
          type: boolean
          description: Filter to show only security events when true
        types:
          description: >-
            When set, only rows whose `type` is in this list (see @wire/shared
            SYSTEM_LOG_EVENT_TYPES). The value `general` also matches legacy
            rows with null or empty `type`.
          type: array
          items:
            type: string
        statuses:
          description: >-
            When set, only rows whose `status` is in this list (see @wire/shared
            SYSTEM_LOG_EVENT_STATUSES)
          type: array
          items:
            type: string
        createdAfter:
          type: string
          description: Inclusive lower bound on `created_at` (ISO8601)
        createdBefore:
          type: string
          description: Inclusive upper bound on `created_at` (ISO8601)
    SearchSystemLogCountResponse:
      type: object
      properties:
        totalCount:
          type: number
          description: Total number of system log entries matching the search criteria
      required:
        - totalCount
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````